import { CellMask, OnesTable, OnesTableCellHitInfo } from '../../../../@ones-table/common';
import { GC } from '../../../../@ones-table/core';
import { ManualToolbar } from '../command-bar';
import { AbstractCommandBar, CommandItem } from '../types';
import './cell-toolbar.scss';
export interface CellToolbarOptions {
    id?: string;
}
export default class CellToolbar {
    table: OnesTable;
    toolbar: ManualToolbar;
    mask: CellMask;
    row: number;
    col: number;
    constructor(table: OnesTable, options?: CellToolbarOptions);
    destroy(): void;
    private _handleCreateMask;
    private _handleCellHover;
    private _handleDocumentMouseMove;
    private _handleClickItem;
    getItems(sheet: GC.Spread.Sheets.Worksheet, row: number, col: number, hitInfo: OnesTableCellHitInfo): CommandItem[] | null;
    createTarget(sheet: GC.Spread.Sheets.Worksheet, row: number, col: number, hitInfo: OnesTableCellHitInfo): HTMLElement;
    getTarget(): HTMLElement;
    protected handleClickItem(bar: AbstractCommandBar, item: CommandItem): void;
    protected handleCreateMask(mark: CellMask, parent: HTMLElement): void;
}
